Unit TNTForms;
Interface
	Uses Windows,Graphics,SysUtils,Forms,Controls,Messages,Classes,TNT,TNTConst;
	Type
		TNTForm =
			Class(TForm)
				Private
					Moving,InShow			:Boolean;
					SX,SY				:Integer;
					Procedure Paint; Override;
					Procedure MouseDown(Sender:TObject; Button:TMouseButton; Shift:TShiftState; X,Y:Integer);
					Procedure MouseMove(Sender:TObject; Shift:TShiftState; X,Y:Integer);
					Procedure MouseUp(Sender:TObject; Button:TMouseButton; Shift:TShiftState; X,Y:Integer);
					Procedure Activate; Override;
					Procedure Deactivate; Override;
					Procedure Resize; Override;
					Procedure WndProc(Var Message:TMessage); Override;
				Public
					Constructor Create(AOwner:TComponent); Override;
			End;
Implementation
Constructor TNTForm.Create(AOwner:TComponent);
	Var R1,R2:HRgn;
	Begin
		InShow := False;
		Inherited Create(AOwner);
		Color := clBlack;
		BorderStyle := bsNone;
		OnMouseDown := MouseDown;
		OnMouseMove := MouseMove;
		OnMouseUp := MouseUp;
		{R1 := CreateRectRgn(0,2,Width,21);
		R2 := CreateRectRgn(0,24,Width,Height);
		CombineRgn(R1,R1,R2,RGN_Or);
		DeleteObject(R2);
		SetWinSetWindowRgndowRgn(Handle,R1,False);}
		Resize;
	End;
Procedure TNTForm.Paint;
	Begin
		Inherited Paint;
		InShow := True;
		DoRect(Canvas,0,24,Width - 1,Height - 1,BBBNotPushed);
		DoRect(Canvas,6,30,Width - 7,Height - 7,BBBPushed);
		DoRect(Canvas,0,2,Width - 1,20,BBBNotPushed);
		With Canvas do Begin
			Font.Color := clWhite;
			TextOut(4,5,Caption);
		End;
		InShow := False;
	End;
Procedure TNTForm.MouseDown(Sender:TObject; Button:TMouseButton; Shift:TShiftState; X,Y:Integer);
	Begin
		If (mbLeft = Button) and (Y < 24) then Begin
			SX := X;
			SY := Y;
			Moving := True;
		End;
	End;
Procedure TNTForm.MouseMove(Sender:TObject; Shift:TShiftState; X,Y:Integer);
	Begin
		If Moving then Begin
			Left := Left  + (X - SX);
			Top := Top + (Y - SY);
		End;
	End;
Procedure TNTForm.MouseUp(Sender:TObject; Button:TMouseButton; Shift:TShiftState; X,Y:Integer);
	Begin
		Moving := False;
	End;
Procedure TNTForm.Activate;
	Begin
		Inherited Activate;
		Paint;
	End;
Procedure TNTForm.Deactivate;
	Begin
		Inherited Deactivate;
		Paint;
	End;
Procedure TNTForm.Resize;
	Var R1,R2:HRgn;
	Begin
		Inherited Resize;
		If InShow then
			Exit;
		InShow := True;
		R1 := CreateRectRgn(0,2,Width,21);
		R2 := CreateRectRgn(0,24,Width,Height);
		CombineRgn(R1,R1,R2,RGN_Or);
		DeleteObject(R2);
		SetWindowRgn(Handle,R1,True);
		Refresh;
		InShow := False;
	End;
Procedure TNTForm.WndProc(Var Message:TMessage);
	Begin
		Inherited WndProc(Message);
	End;
End.
